-------------------------------------------------------------------
-- Export Script for UFMC
-------------------------------------------------------------------

-- Register this script as Export-Module

EFASS:RegisterExportModule("UFMC", "UFMC (X-Plane)", "export_ufmc", "", "Select the Export-Folder!")

-- The main Export-Function

function export_ufmc(path)
	
	-- Here we set the content of the file that we want to export 
	
	local out = ""
	
	out = out .. EFASS:GetAccessibleObject("FLIGHTPLAN").Origin.ICAO .. "\n"
	out = out .. EFASS:GetAccessibleObject("FLIGHTPLAN").Destination.ICAO .. "\n"
	out = out .. "DIRECT\n"

	local substractor = 0
	local previousairway = ""
	-- Loop through all waypoints of the flightplan
	for wpt_index = 0, EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs.Count-1 do
		if wpt_index+1 <= EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs.Count-1 then
			local airway = EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs[wpt_index+1].RouteSection

			if airway == "DCT" then
				airway = "DIRECT"
			end
			
			if airway == "DIRECT" then
				previousairway = ""
			end
			
			if airway == previousairway then 
				--out = out .. airway .. "\n"
				--out = out .. EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs[wpt_index].Identifier .. "\n"
			else
				out = out .. EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs[wpt_index].Identifier .. "\n"
				out = out .. airway .. "\n"
				previousairway = airway
				--out = out .. EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs[wpt_index+1].Identifier .. "\n"
			end 
		end
	end
	out = out .. EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs[EFASS:GetAccessibleObject("FLIGHTPLAN").RouteWPTs.Count-1].Identifier .. "\n"
	out = out .. "99\n"
	-- Here we call EFASS:WriteFile to write the file into the appropriate folder.
	
	if EFASS:WriteFile(path .. "\\" .. EFASS:GetAccessibleObject("FLIGHTPLAN").Origin.ICAO .. EFASS:GetAccessibleObject("FLIGHTPLAN").Destination.ICAO .. ".ufmc", out) then
		return true
	else
		return false
	end
end